//Stroe historical user information
public class HistoricalUsers{
  public int counter;
  public HashMap<Integer, ArrayList<PVector>> historyUsers;
  public ArrayList<PVector> userColors;
  public ArrayList<Float> userTime;
  
  public HistoricalUsers(){
      counter = 0;
      historyUsers = new HashMap<Integer, ArrayList<PVector>>();
      userColors = new ArrayList<PVector>();
      userTime = new ArrayList<Float>();
  }
  
  public void addUserData(ArrayList<PVector> positions, PVector colour, float time){
      ArrayList<PVector> newUser = new ArrayList<PVector>();
      Iterator<PVector> it = positions.iterator();
      while(it.hasNext()){
          PVector newPosition = it.next();
          newPosition = translateOpenNIPosition(newPosition);
          newUser.add(new PVector(newPosition.x, newPosition.y, newPosition.z));
      }
      if(historyUsers.put(counter, newUser) == null) println("Successfully record history");
      else println("Cover some previous data");
      
      //add new color
      userColors.add(new PVector(colour.x, colour.y, colour.z));
      
      //set user time
      userTime.add(time);
      println("onLost time: " + time);
      
      counter++;
  }
  
}

